package com.primeton.mdm.demo;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.circuitbreaker.EnableCircuitBreaker;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

@SpringBootApplication
//@EnableFeignClients
//@EnableCircuitBreaker
//@EnableDiscoveryClient
public class Application {
	public static void main(String[] args) {
		long startTime = System.currentTimeMillis();
		SpringApplication.run(Application.class, args);
		long endTime = System.currentTimeMillis();
		System.out.println(">>> Startup in " + (endTime - startTime) / 1000 + "s.");
	}
}
