package com.primeton.mdm.demo.core.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;

@Configuration
public class DemoConfig {

	@Bean("DEMO-REST-GROUP")
	public Docket demoDocket() {
		return new Docket(DocumentationType.SWAGGER_2).groupName("demo").select()
				.apis(RequestHandlerSelectors.basePackage("com.primeton.mdm.demo"))
				.build().enable(true);

	}

}